libvisio::VSDLineTo Class Reference
Inheritance diagram for libvisio::VSDLineTo:

## Public Member Functions

| VSDLineTo (unsigned id, unsigned level, const std::optional< double > &x, const std::optional< double > &y)
| ~VSDLineTo () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes

double | m_x
double | m_y

## Additional Inherited Members

Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDLineTo()

libvisio::VSDLineTo::VSDLineTo | ( | unsigned | id,
|  | unsigned | level,
|  | const std::optional< double > & | x,
|  | const std::optional< double > & | y )

inline

Referenced by clone().

## ~VSDLineTo()

libvisio::VSDLineTo::~VSDLineTo | ( |  | ) |

inline override

## Member Function Documentation

## clone()

libvisio::VSDGeometryListElement * libvisio::VSDLineTo::clone | ( |  | ) |

override virtual

Implements libvisio::VSDGeometryListElement.

## handle()

void libvisio::VSDLineTo::handle | ( | VSDCollector * | collector | ) | const

override virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## m_x

double libvisio::VSDLineTo::m_x

Referenced by clone(), handle(), and VSDLineTo().

## m_y

double libvisio::VSDLineTo::m_y

Referenced by clone(), handle(), and VSDLineTo().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp